org.apache.lucene.search

## Class AssertingScorable

- java.lang.Object
- - org.apache.lucene.search.Scorable
  - - org.apache.lucene.search.FilterScorable
    - - org.apache.lucene.search.AssertingScorable

-     public class AssertingScorable
      extends FilterScorable

  Wraps another Scorable and asserts that scores are reasonable and only called when positioned

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.search.Scorable

      `Scorable.ChildScorable`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.search.FilterScorable

      `in`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssertingScorable(Scorable in)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `score()`
    `void` | `setMinCompetitiveScore(float minScore)`
    `static Scorable` | `unwrap(Scorable in)`
    `static Scorable` | `wrap(Scorable in)`

    - ### Methods inherited from class org.apache.lucene.search.FilterScorable

      `docID, getChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AssertingScorable

          public AssertingScorable(Scorable in)

  - ### Method Detail

    - #### score

          public float score()
                      throws IOException

      Overrides:
        `score` in class `FilterScorable`
      Throws:
        `IOException`

    - #### setMinCompetitiveScore

          public void setMinCompetitiveScore(float minScore)
                                      throws IOException

      Overrides:
        `setMinCompetitiveScore` in class `Scorable`
      Throws:
        `IOException`

    - #### wrap

          public static Scorable wrap(Scorable in)

    - #### unwrap

          public static Scorable unwrap(Scorable in)

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.